﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static XKRS.Common.Model.Helper.EnumHelper;

namespace XKRS.Common.Model.Helper
{
    public class DeviceAttribute:Attribute
    {
        /// <summary>
        /// 设备类型
        /// </summary>
        public string TypeCode { get; set; }


        /// <summary>
        ///特性修饰类别 
        /// </summary>
        public DeviceAttributeType AttrType { get; set; }
    }

    public class ProcessAttribute : Attribute
    {
        public string ProcessCode { get; set; }
        public DeviceAttributeType AttrType { get; set; }
        public ProcessAttribute(string stationCode,DeviceAttributeType attrType)
        {
            ProcessCode = stationCode;
            AttrType = attrType;
        }
    }
}
