﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;
using XKRS.Common.Interface;

namespace XKRS.UI.Model.Winform
{
    public partial class DeviceRunFrmBase : DockContent
    {
        public IDevice Device { get; set; }
        public IRunCtrl RunCtrl { get; set; }

        public DeviceRunFrmBase() : base()
        {
        }
        public DeviceRunFrmBase(IDevice device,IRunCtrl runCtrl) : base()
        {
            Device = device;
            RunCtrl = runCtrl;
            UserControl uc = RunCtrl as UserControl;
            uc.Dock = DockStyle.Fill;
            this.Controls.Add(uc);
        }


     
    }
}
